import type { Team } from '@/clientsettings/vars/teams'
import { Tag } from '@blueprintjs/core'
import ColorBox from '@inject/shared/components/ColorBox'
import type { FC } from 'react'

interface LabelElementProps {
  team: Team
  hideLabel?: boolean
}

const LabelElement: FC<LabelElementProps> = ({ team, hideLabel }) => (
  <div
    style={{
      display: 'flex',
      justifyContent: hideLabel ? 'center' : 'flex-start',
      alignItems: 'center',
    }}
  >
    <ColorBox
      style={{
        width: '16px',
        height: '16px',
        marginRight: hideLabel ? undefined : '7px',
      }}
      id={Number(team.teamId)}
    />
    {!hideLabel && (team.teamRole || `Team ${team.teamId}`)}
    {team.inactive && !hideLabel && (
      <Tag style={{ marginLeft: '1ch' }} minimal intent='warning'>
        paused
      </Tag>
    )}
  </div>
)

export default LabelElement
