import '@/clientsettings/vars/colormode'
import '@blueprintjs/core/lib/css/blueprint.css'
import 'normalize.css'
import React from 'react'
import ReactDOM from 'react-dom/client'
import './global.css'

import { OverlaysProvider } from '@blueprintjs/core'
import { NotificationEngine } from '@inject/shared/notification/NotificationEngine'
import Application from './application'
import './icons'

declare global {
  interface Window {
    VITE_HTTP_HOST: string
    VITE_HTTP_WS?: string
  }
}

ReactDOM.createRoot(document.getElementById('root') as HTMLElement).render(
  <React.StrictMode>
    <OverlaysProvider>
      <NotificationEngine>
        <Application />
      </NotificationEngine>
    </OverlaysProvider>
  </React.StrictMode>
)
